%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	C bindings for Google's Protocol Buffers
Name:		protobuf-c
Version:	1.0.1
Release:	1
License:	ASL 2.0
Group:		System/Libraries
Url:		https://github.com/protobuf-c
Source0:	https://github.com/protobuf-c/protobuf-c/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(protobuf)

%description
Protocol Buffers are a way of encoding structured data in an efficient yet 
extensible format. This package provides a code generator and run-time
libraries to use Protocol Buffers from pure C (not C++).

It uses a modified version of protoc called protoc-c.

%files
%doc TODO LICENSE ChangeLog
%{_bindir}/protoc-c

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	C bindings for Google's Protocol Buffers
Group:		System/Libraries

%description -n %{libname}
This package contains protobuf-c libraries.

%files -n %{libname}
%{_libdir}/libprotobuf-c.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Protocol Buffers C headers and libraries
Group:		Development/C
Requires:	%{libname} = %{EVRD}

%description -n %{devname}
This package contains protobuf-c headers and libraries.

%files -n %{devname}
%dir %{_includedir}/google
%{_includedir}/google/protobuf-c
%{_includedir}/protobuf-c/protobuf-c.h
%{_libdir}/libprotobuf-c.so
%{_libdir}/pkgconfig/libprotobuf-c.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

%check
make check

%changelog

* Mon Jun 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0.1-1
- (9c7b16c) Downgrade to 1.0.1


